# SYMIAN

Symian is a tool, based on what-if scenario analysis and discrete-event
simulation, for the modeling of a hierarchical and multi-level incident
management structures. The simulative approach allows to extract important
metrics and statistics in complex and dynamic systems, which would otherwise be
impossible to obtain by means of the analytical approach. Symian allows to test
corrective actions on the architecture itself of support groups before
executing them in practice.


## References

Symian (more precisely an earlier version of it) was used in the following
research papers:

1. C. Bartolini, C.Stefanelli, M. Tortonesi, "SYMIAN: Analysis and Performance
   Improvement of the IT Incident Management Process", IEEE Transactions on
   Network and Service Management, IEEE Communications Society Press, ISSN
   1932-4537, Vol. 7, No. 3, pp. 132-144, September 2010.
2. C. Bartolini, C. Stefanelli, M. Tortonesi, "SYMIAN: a Simulation Tool for
   the Optimization of the IT Incident Management Process", in Proceedings of
   19th IFIP/IEEE International Workshop on Distributed Systems: Operations and
   Management (DSOM 2008), pp. 83-94, ISBN: 978-3-540-85999-4, 25-26 September
   2008, Pythagorion, Samos Island, Greece.
3. C. Bartolini, C. Stefanelli, M. Tortonesi, "Business-impact analysis and
   simulation of critical incidents in IT service management", in Proceedings
   of the 11th IFIP/IEEE International Symposium on Integrated Network Management
   (IM 2009) - Main track, pp. 9-16, ISBN: 978-1-4244-3486-2, 1-5 June 2009, New
   York, NY, USA.
4. C. Bartolini, C. Stefanelli, M. Tortonesi, "Modeling IT Support
   Organizations from Transactional Logs", in Proceedings of the 12th IEEE/IFIP
   Network Operations and Management Symposium (NOMS 2010) - Main track, pp.
   256-263, ISBN: 978-1-4244-5367-2, 19-23 April 2010, Osaka, Japan.
5. C. Bartolini, C. Stefanelli, M. Tortonesi, D. Targa, "A Web-based What-If
   Scenario Analysis Tool for Performance Improvement of IT Support
   Organizations" (short paper), in Proceedings of 7th International Conference on
   Network and Service Management (CNSM 2011), 24-28 October 2011, Paris, France.
6. C. Bartolini, C. Stefanelli, M. Tortonesi, "Modeling IT Support
   Organizations Using Multiple-Priority Queues", in Proceedings of the 13th
   IEEE/IFIP Network Operations and Management Symposium (NOMS 2012) - Main track,
   16-20 April 2012, Maui, Hawaii, USA.
7. C. Bartolini, C. Stefanelli, M. Tortonesi, D. Targa, "A Cloud-based Solution
   for the Performance Improvement of IT Support Organizations", in Proceedings
   of the 13th IEEE/IFIP Network Operations and Management Symposium (NOMS 2012) -
   Mini-conference track, 16-20 April 2012, Maui, Hawaii, USA.
8. C. Bartolini, C. Stefanelli, M. Tortonesi, "Potential Benefits and
   Challenges of Closed-Loop Optimization Processes for IT Support
   Organizations", in Proceedings of the 7th IFIP/IEEE International Workshop on
   Business-driven IT Management (BDIM 2012), 20 April 2012, Maui, Hawaii, USA.
9. C. Bartolini, C. Stefanelli, M. Tortonesi, "Synthetic Incident Generation in
   the Reenactment of IT Support Organization Behavior", in Proceedings of the
   13th IFIP/IEEE Integrated Network Management Symposium (IM 2013) - Technical
   (main) track, 27-31 May 2013, Ghent, Belgium.

Please, consider citing some of these papers if you find Symian useful for your
research.


## NOTE

I am still in the process of cleaning up the Symian code. As soon as I am done,
I will commit it here and upload updated installation and usage information.
